package cn.meowrain.aioj.backend.framework.core.exception;

import cn.meowrain.aioj.backend.framework.core.errorcode.ErrorCode;
import cn.meowrain.aioj.backend.framework.core.errorcode.IErrorCode;
import lombok.ToString;

/**
 * 系统执行异常
 */
@ToString
public class ServiceException extends AbstractException {

	public ServiceException(String message, IErrorCode errorCode) {
		this(message, null, errorCode);
	}

	public ServiceException(String message) {
		this(message, null, ErrorCode.SYSTEM_ERROR);
	}

	public ServiceException(IErrorCode errorCode) {
		this(null, null, errorCode);
	}

	public ServiceException(String message, Throwable throwable, IErrorCode errorCode) {
		super(message, throwable, errorCode);
	}

}
